%define upstream_name    Type-Tiny-XS
%define upstream_version 0.022

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Support functions for Type::Tiny::XS
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TO/TOBYINK/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl-devel
%description
This module is optionally used by the Type::Tiny manpage 0.045_03 and above
to provide faster, C-based implementations of some type constraints. (This
package has only core dependencies, and does not depend on Type::Tiny, so
other data validation frameworks might also consider using it!)

Only the following two functions should be considered part of the supported
API:

* 'Type::Tiny::XS::get_coderef_for($type)'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.22.0-6.mga10
+ Revision: 2087761
- Rebuild against new perl

* Sun Nov 26 2023 tv <tv> 0.22.0-5.mga10
+ Revision: 2009884
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.22.0-4.mga9
+ Revision: 1862537
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.22.0-3.mga9
+ Revision: 1796137
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.22.0-2.mga9
+ Revision: 1727202
- Rebuild for perl 5.34

* Tue Mar 02 2021 guillomovitch <guillomovitch> 0.22.0-1.mga9
+ Revision: 1696474
- new version 0.022

* Sat Sep 05 2020 guillomovitch <guillomovitch> 0.21.0-1.mga8
+ Revision: 1622605
- new version 0.021

* Wed Jun 17 2020 umeabot <umeabot> 0.16.0-3.mga8
+ Revision: 1595288
- Rebuild for perl 5.32

* Wed Feb 19 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1544384
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 shlomif <shlomif> 0.16.0-1.mga8
+ Revision: 1482968
- New version 0.16.0
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.14.0-2.mga8
+ Revision: 1433932
- rebuild for perl 5.30

* Sat Oct 20 2018 tv <tv> 0.14.0-1.mga7
+ Revision: 1323104
- update to 0.014

* Fri Sep 21 2018 umeabot <umeabot> 0.12.0-7.mga7
+ Revision: 1293896
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.12.0-6.mga7
+ Revision: 1250154
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.12.0-5.mga7
+ Revision: 1167215
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.12.0-4.mga7
+ Revision: 1149397
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.12.0-3.mga7
+ Revision: 1127596
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.12.0-2.mga6
+ Revision: 1035430
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.12.0-1.mga6
+ Revision: 1002167
- imported package perl-Type-Tiny-XS


* Fri Apr 15 2016 cpan2dist 0.012-1mga
- initial mageia release, generated with cpan2dist
